Get project
GET
/api/projects/{projectid}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectid
required
string format: uuid
The project identifier.
Responses
Section titled “Responses”OK
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
subscriptionId
string format: uuid
subscriptionLevel
userId
string format: uuid
createdByUserId
string format: uuid
organizationId
null | string format: uuid
name
null | string
code
null | string
description
null | string
flagLevel
url
null | string
useCustomUrl
boolean
isArchived
boolean
isOffline
boolean
isTemplate
boolean
isLocked
boolean
isDefault
boolean
externalUrl
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
customUrl
null | string
timezone
null | string
publish
boolean
useOrgPayment
boolean
hasChecklist
boolean
hasMetaFields
boolean
reactionSummary
null | string
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
settings
object
onsiteEnabled
boolean
showAiTab
boolean
aiOverviewEnabled
null | boolean
enableSSO
boolean
requireAccountVerify
boolean
allowEmailMatchSignIn
boolean
allowMatchingExistingAccount
boolean
allowedSSODomains
null | string
unauthenticatedDefaultRedirect
null | string
projectLabelPlural
null | string
projectLabel
null | string
companyLabelPlural
null | string
companyLabel
null | string
showCompanyNav
boolean
facilitatorLabelPlural
null | string
facilitatorLabel
null | string
attendeeLabelPlural
null | string
attendeeLabel
null | string
contextEventId
null | string format: uuid
contextEventTypeId
null | string format: uuid
eventLabel
null | string
eventLabelPlural
null | string
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
subscriptionId
string format: uuid
subscriptionLevel
userId
string format: uuid
createdByUserId
string format: uuid
organizationId
null | string format: uuid
name
null | string
code
null | string
description
null | string
flagLevel
url
null | string
useCustomUrl
boolean
isArchived
boolean
isOffline
boolean
isTemplate
boolean
isLocked
boolean
isDefault
boolean
externalUrl
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
customUrl
null | string
timezone
null | string
publish
boolean
useOrgPayment
boolean
hasChecklist
boolean
hasMetaFields
boolean
reactionSummary
null | string
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
settings
object
onsiteEnabled
boolean
showAiTab
boolean
aiOverviewEnabled
null | boolean
enableSSO
boolean
requireAccountVerify
boolean
allowEmailMatchSignIn
boolean
allowMatchingExistingAccount
boolean
allowedSSODomains
null | string
unauthenticatedDefaultRedirect
null | string
projectLabelPlural
null | string
projectLabel
null | string
companyLabelPlural
null | string
companyLabel
null | string
showCompanyNav
boolean
facilitatorLabelPlural
null | string
facilitatorLabel
null | string
attendeeLabelPlural
null | string
attendeeLabel
null | string
contextEventId
null | string format: uuid
contextEventTypeId
null | string format: uuid
eventLabel
null | string
eventLabelPlural
null | string
Example
{ "subscriptionLevel": "Free", "flagLevel": "OK"}object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
subscriptionId
string format: uuid
subscriptionLevel
userId
string format: uuid
createdByUserId
string format: uuid
organizationId
null | string format: uuid
name
null | string
code
null | string
description
null | string
flagLevel
url
null | string
useCustomUrl
boolean
isArchived
boolean
isOffline
boolean
isTemplate
boolean
isLocked
boolean
isDefault
boolean
externalUrl
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
customUrl
null | string
timezone
null | string
publish
boolean
useOrgPayment
boolean
hasChecklist
boolean
hasMetaFields
boolean
reactionSummary
null | string
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
settings
object
onsiteEnabled
boolean
showAiTab
boolean
aiOverviewEnabled
null | boolean
enableSSO
boolean
requireAccountVerify
boolean
allowEmailMatchSignIn
boolean
allowMatchingExistingAccount
boolean
allowedSSODomains
null | string
unauthenticatedDefaultRedirect
null | string
projectLabelPlural
null | string
projectLabel
null | string
companyLabelPlural
null | string
companyLabel
null | string
showCompanyNav
boolean
facilitatorLabelPlural
null | string
facilitatorLabel
null | string
attendeeLabelPlural
null | string
attendeeLabel
null | string
contextEventId
null | string format: uuid
contextEventTypeId
null | string format: uuid
eventLabel
null | string
eventLabelPlural
null | string
Example
{ "subscriptionLevel": "Free", "flagLevel": "OK"}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}